package ajcon.custom.util.elements;

import ajcon.custom.util.groups.CStmt;

public class CNew extends CStmt{

    private CType CType;
    private CArguments CArguments;
    private CAnonymousClass CAnonymousClass;

    private String idref;
    private String idkind;

    public CNew()
    {
        this.idref = null;
        idkind = null;
        CType = null;
        CArguments = null;
        CAnonymousClass = null;
        
    }

    public CAnonymousClass getCAnonymousClass() {
        return CAnonymousClass;
    }

    public void setCAnonymousClass(CAnonymousClass CAnonymousClass) {
        this.CAnonymousClass = CAnonymousClass;
    }

    public CArguments getCArguments() {
        return CArguments;
    }

    public void setCArguments(CArguments CArguments) {
        this.CArguments = CArguments;
    }

    public CType getCType() {
        return CType;
    }

    public void setCType(CType CType) {
        this.CType = CType;
    }

    public String getIdkind() {
        return idkind;
    }

    public void setIdkind(String idkind) {
        this.idkind = idkind;
    }

    public String getIdref() {
        return idref;
    }

    public void setIdref(String idref) {
        this.idref = idref;
    }

}
